---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Get Sites

Get sites for logged in user. Offset and limits are used if "search" is specified.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Site",
      "x-displayName": "Site"
    }
  ],
  "paths": {
    "/api/sites": {
      "get": {
        "tags": [
          "Site"
        ],
        "summary": "Get Sites",
        "description": "Get sites for logged in user. Offset and limits are used if \"search\" is specified.",
        "operationId": "Site_GetAll",
        "parameters": [
          {
            "name": "search",
            "in": "query",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "x-position": 2
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "x-position": 3
          },
          {
            "name": "includes",
            "in": "query",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "string"
              }
            },
            "x-position": 4
          }
        ],
        "responses": {
          "200": {
            "description": "Site Array",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Easee_Cloud_API_BasicSiteDTO"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_LevelOfAccess": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Open",
          "EaseeAccounts",
          "SpecificUsers"
        ],
        "enum": [
          1,
          2,
          3
        ]
      },
      "Easee_Cloud_API_AddressDTO2": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "street": {
            "type": "string",
            "nullable": true
          },
          "buildingNumber": {
            "type": "string",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "nullable": true
          },
          "area": {
            "type": "string",
            "nullable": true
          },
          "country": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_CountryDTO2"
              }
            ]
          },
          "latitude": {
            "type": "number",
            "format": "double",
            "nullable": true
          },
          "longitude": {
            "type": "number",
            "format": "double",
            "nullable": true
          },
          "altitude": {
            "type": "number",
            "format": "double",
            "nullable": true
          }
        }
      },
      "Easee_Cloud_API_CountryDTO2": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "phonePrefix": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          }
        }
      },
      "Easee_Cloud_API_BasicSiteDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "uuid": {
            "type": "string",
            "format": "guid",
            "nullable": true
          },
          "id": {
            "type": "integer",
            "format": "int32"
          },
          "siteKey": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "levelOfAccess": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_LevelOfAccess"
              }
            ]
          },
          "address": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_AddressDTO2"
              }
            ]
          },
          "installerAlias": {
            "type": "string",
            "nullable": true
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```